<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.pointsGoodsAds.mapper.PointsGoodsAdsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="pointsGoodsAdsResultMap" type="org.springblade.modules.guosen.pointsGoodsAds.entity.PointsGoodsAds">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="url" property="url"/>
        <result column="type" property="type"/>
        <result column="path" property="path"/>
        <result column="activity_id" property="activityId"/>
    </resultMap>


    <select id="selectPointsGoodsAdsPage" resultMap="pointsGoodsAdsResultMap">
        select * from cyzh_points_goods_ads where is_deleted = 0
    </select>

</mapper>
